Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

# Class DifferenceGroupProviderChange

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.DifferenceGroupProviderChange

All Implemented Interfaces:
  `ICompareEvent`, `IDifferenceGroupProviderChange`

public class DifferenceGroupProviderChange extends Object implements IDifferenceGroupProviderChange
The default implementation of `IDifferenceGroupProviderChange`.

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`DifferenceGroupProviderChange(IDifferenceGroupProvider differenceGroupProvider)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`IDifferenceGroupProvider`
`getDifferenceGroupProvider()`
Returns the selected `IDifferenceGroupProviderChange`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DifferenceGroupProviderChange

public DifferenceGroupProviderChange(IDifferenceGroupProvider differenceGroupProvider)
Default constructor.

Parameters:
  `differenceGroupProvider` - an IDifferenceGroupProvider.

## Method Details

### getDifferenceGroupProvider

public IDifferenceGroupProvider getDifferenceGroupProvider()
Returns the selected `IDifferenceGroupProviderChange`.

Specified by:
  `getDifferenceGroupProvider` in interface `IDifferenceGroupProviderChange`
Returns:
  the selected IDifferenceGroupProvider.
See Also:
  - `IDifferenceGroupProviderChange.getDifferenceGroupProvider()`